OGRE: Ogre::RenderTexture Class Reference - OGRE Documentation

# Ogre::RenderTexture Class Reference

This class represents a RenderTarget that renders to a Texture. More...

`#include <OgreRenderTexture.h>`

Inheritance diagram for Ogre::RenderTexture:

[legend]

List of all members.

## Public Types
enum | StatFlags { SF_NONE = 0, SF_FPS = 1, SF_AVG_FPS = 2, SF_BEST_FPS = 4, SF_WORST_FPS = 8, SF_TRIANGLE_COUNT = 16, SF_ALL = 0xFFFF }
enum | FrameBuffer { FB_FRONT, FB_BACK, FB_AUTO }
## Public Member Functions
| RenderTexture (HardwarePixelBuffer *buffer, size_t zoffset)
virtual | ~RenderTexture ()
virtual void | copyContentsToMemory (const PixelBox &dst, FrameBuffer buffer)
| Copies the current contents of the render target to a pixelbox.
PixelFormat | suggestPixelFormat () const
| Suggests a pixel format to use for extracting the data in this target, when calling copyContentsToMemory.
virtual const String & | getName (void) const
| Retrieve target's name.
virtual void | getMetrics (unsigned int &width, unsigned int &height, unsigned int &colourDepth)
| Retrieve information about the render target.
virtual unsigned int | getWidth (void) const
virtual unsigned int | getHeight (void) const
virtual unsigned int | getColourDepth (void) const
virtual void | update (bool swapBuffers=true)
| Tells the target to update it's contents.
virtual void | swapBuffers (bool waitForVSync=true)
| Swaps the frame buffers to display the next frame.
virtual Viewport * | addViewport (Camera *cam, int ZOrder=0, float left=0.0f, float top=0.0f, float width=1.0f, float height=1.0f)
| Adds a viewport to the rendering target.
virtual unsigned short | getNumViewports (void) const
| Returns the number of viewports attached to this target.
virtual Viewport * | getViewport (unsigned short index)
| Retrieves a pointer to the viewport with the given index.
virtual void | removeViewport (int ZOrder)
| Removes a viewport at a given ZOrder.
virtual void | removeAllViewports (void)
| Removes all viewports on this target.
virtual void | getStatistics (float &lastFPS, float &avgFPS, float &bestFPS, float &worstFPS) const
| Retieves details of current rendering performance.
virtual const FrameStats & | getStatistics (void) const
virtual float | getLastFPS () const
| Individual stats access - gets the number of frames per second (FPS) based on the last frame rendered.
virtual float | getAverageFPS () const
| Individual stats access - gets the average frames per second (FPS) since call to Root::startRendering.
virtual float | getBestFPS () const
| Individual stats access - gets the best frames per second (FPS) since call to Root::startRendering.
virtual float | getWorstFPS () const
| Individual stats access - gets the worst frames per second (FPS) since call to Root::startRendering.
virtual float | getBestFrameTime () const
| Individual stats access - gets the best frame time.
virtual float | getWorstFrameTime () const
| Individual stats access - gets the worst frame time.
virtual void | resetStatistics (void)
| Resets saved frame-rate statistices.
virtual void | getCustomAttribute (const String &name, void *pData)
| Gets a custom (maybe platform-specific) attribute.
virtual void | addListener (RenderTargetListener *listener)
| Add a listener to this RenderTarget which will be called back before & after rendering.
virtual void | removeListener (RenderTargetListener *listener)
| Removes a RenderTargetListener previously registered using addListener.
virtual void | removeAllListeners (void)
| Removes all listeners from this instance.
virtual void | setPriority (uchar priority)
| Sets the priority of this render target in relation to the others.
virtual uchar | getPriority () const
| Gets the priority of a render target.
virtual bool | isActive () const
| Used to retrieve or set the active state of the render target.
virtual void | setActive (bool state)
| Used to set the active state of the render target.
virtual void | setAutoUpdated (bool autoupdate)
| Sets whether this target should be automatically updated if Ogre's rendering loop or Root::_updateAllRenderTargets is being used.
virtual bool | isAutoUpdated (void) const
| Gets whether this target is automatically updated if Ogre's rendering loop or Root::_updateAllRenderTargets is being used.
void | writeContentsToFile (const String &filename)
| Writes the current contents of the render target to the named file.
virtual String | writeContentsToTimestampedFile (const String &filenamePrefix, const String &filenameSuffix)
| Writes the current contents of the render target to the (PREFIX)(time-stamp)(SUFFIX) file.
virtual bool | requiresTextureFlipping () const =0
virtual size_t | getTriangleCount (void) const
| Gets the number of triangles rendered in the last update() call.
virtual size_t | getBatchCount (void) const
| Gets the number of batches rendered in the last update() call.
virtual void | _notifyCameraRemoved (const Camera *cam)
| Utility method to notify a render target that a camera has been removed, incase it was referring to it as a viewer.
virtual bool | isPrimary (void) const
| Indicates whether this target is the primary window.
virtual bool | isHardwareGammaEnabled () const
| Indicates whether on rendering, linear colour space is converted to sRGB gamma colour space.
virtual uint | getFSAA () const
| Indicates whether multisampling is performed on rendering and at what level.
virtual Impl * | _getImpl ()
| Get rendersystem specific interface for this RenderTarget.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Types
typedef std::map< int, Viewport *, std::less< int > > | ViewportList
typedef std::vector < RenderTargetListener * > | RenderTargetListenerList
## Protected Member Functions
void | updateStats (void)
virtual void | firePreUpdate (void)
| internal method for firing events
virtual void | firePostUpdate (void)
| internal method for firing events
virtual void | fireViewportPreUpdate (Viewport *vp)
| internal method for firing events
virtual void | fireViewportPostUpdate (Viewport *vp)
| internal method for firing events
virtual void | fireViewportAdded (Viewport *vp)
| internal method for firing events
virtual void | fireViewportRemoved (Viewport *vp)
| internal method for firing events
virtual void | updateImpl ()
| Internal implementation of update().
## Protected Attributes
HardwarePixelBuffer * | mBuffer
size_t | mZOffset
String | mName
| The name of this target.
uchar | mPriority
| The priority of the render target.
unsigned int | mWidth
unsigned int | mHeight
unsigned int | mColourDepth
bool | mIsDepthBuffered
FrameStats | mStats
Timer * | mTimer
unsigned long | mLastSecond
unsigned long | mLastTime
size_t | mFrameCount
bool | mActive
bool | mAutoUpdate
bool | mHwGamma
uint | mFSAA
ViewportList | mViewportList
| List of viewports, map on Z-order.
RenderTargetListenerList | mListeners

## Detailed Description

This class represents a RenderTarget that renders to a Texture.

There is no 1 on 1 relation between Textures and RenderTextures, as there can be multiple RenderTargets rendering to different mipmaps, faces (for cubemaps) or slices (for 3D textures) of the same Texture.

Definition at line 43 of file OgreRenderTexture.h.

## Member Typedef Documentation

typedef std::map<int, Viewport*, std::less<int> > Ogre::RenderTarget::ViewportList`[protected, inherited]`

Definition at line 401 of file OgreRenderTarget.h.

typedef std::vector<RenderTargetListener*> Ogre::RenderTarget::RenderTargetListenerList`[protected, inherited]`

Definition at line 405 of file OgreRenderTarget.h.

## Member Enumeration Documentation

enum Ogre::RenderTarget::StatFlags`[inherited]`

Enumerator:

  SF_NONE |
  SF_FPS |
  SF_AVG_FPS |
  SF_BEST_FPS |
  SF_WORST_FPS |
  SF_TRIANGLE_COUNT |
  SF_ALL |

Definition at line 62 of file OgreRenderTarget.h.

enum Ogre::RenderTarget::FrameBuffer`[inherited]`

Enumerator:

  FB_FRONT |
  FB_BACK |
  FB_AUTO |

Definition at line 85 of file OgreRenderTarget.h.

## Constructor & Destructor Documentation

Ogre::RenderTexture::RenderTexture | ( | HardwarePixelBuffer * | buffer,
|  | size_t | zoffset |
| ) |  |  |

virtual Ogre::RenderTexture::~RenderTexture | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::RenderTexture::copyContentsToMemory | ( | const PixelBox & | dst,
|  | FrameBuffer | buffer |
| ) |  |  | `[virtual]`

Copies the current contents of the render target to a pixelbox.

Remarks:
  See suggestPixelFormat for a tip as to the best pixel format to extract into, although you can use whatever format you like and the results will be converted.

Implements Ogre::RenderTarget.

PixelFormat Ogre::RenderTexture::suggestPixelFormat | ( |  | ) | const`[virtual]`

Suggests a pixel format to use for extracting the data in this target, when calling copyContentsToMemory.

Reimplemented from Ogre::RenderTarget.

virtual const String& Ogre::RenderTarget::getName | ( | void |  | ) | const`[virtual, inherited]`

Retrieve target's name.

virtual void Ogre::RenderTarget::getMetrics | ( | unsigned int & | width,
|  | unsigned int & | height,
|  | unsigned int & | colourDepth |
| ) |  |  | `[virtual, inherited]`

Retrieve information about the render target.

virtual unsigned int Ogre::RenderTarget::getWidth | ( | void |  | ) | const`[virtual, inherited]`

virtual unsigned int Ogre::RenderTarget::getHeight | ( | void |  | ) | const`[virtual, inherited]`

virtual unsigned int Ogre::RenderTarget::getColourDepth | ( | void |  | ) | const`[virtual, inherited]`

virtual void Ogre::RenderTarget::update | ( | bool | swapBuffers = `true` | ) | `[virtual, inherited]`

Tells the target to update it's contents.

Remarks:
  If OGRE is not running in an automatic rendering loop (started using Root::startRendering), the user of the library is responsible for asking each render target to refresh. This is the method used to do this. It automatically re-renders the contents of the target using whatever cameras have been pointed at it (using Camera::setRenderTarget).

  This allows OGRE to be used in multi-windowed utilities and for contents to be refreshed only when required, rather than constantly as with the automatic rendering loop.

Parameters:

  | swapBuffers | For targets that support double-buffering, if set to true, the target will immediately swap it's buffers after update. Otherwise, the buffers are not swapped, and you have to call swapBuffers yourself sometime later. You might want to do this on some rendersystems which pause for queued rendering commands to complete before accepting swap buffers calls - so you could do other CPU tasks whilst the queued commands complete. Or, you might do this if you want custom control over your windows, such as for externally created windows.

virtual void Ogre::RenderTarget::swapBuffers | ( | bool | waitForVSync = `true` | ) | `[virtual, inherited]`

Swaps the frame buffers to display the next frame.

Remarks:
  For targets that are double-buffered so that no 'in-progress' versions of the scene are displayed during rendering. Once rendering has completed (to an off-screen version of the window) the buffers are swapped to display the new frame.

Parameters:

  | waitForVSync | If true, the system waits for the next vertical blank period (when the CRT beam turns off as it travels from bottom-right to top-left at the end of the pass) before flipping. If false, flipping occurs no matter what the beam position. Waiting for a vertical blank can be slower (and limits the framerate to the monitor refresh rate) but results in a steadier image with no 'tearing' (a flicker resulting from flipping buffers when the beam is in the progress of drawing the last frame).

Definition at line 148 of file OgreRenderTarget.h.

virtual Viewport* Ogre::RenderTarget::addViewport | ( | Camera * | cam,
|  | int | ZOrder = `0`,
|  | float | left = `0.0f`,
|  | float | top = `0.0f`,
|  | float | width = `1.0f`,
|  | float | height = `1.0f` |
| ) |  |  | `[virtual, inherited]`

Adds a viewport to the rendering target.

Remarks:
  A viewport is the rectangle into which rendering output is sent. This method adds a viewport to the render target, rendering from the supplied camera. The rest of the parameters are only required if you wish to add more than one viewport to a single rendering target. Note that size information passed to this method is passed as a parametric, i.e. it is relative rather than absolute. This is to allow viewports to automatically resize along with the target.

Parameters:

  | cam | The camera from which the viewport contents will be rendered (mandatory)
  | ZOrder | The relative order of the viewport with others on the target (allows overlapping viewports i.e. picture-in-picture). Higher ZOrders are on top of lower ones. The actual number is irrelevant, only the relative ZOrder matters (you can leave gaps in the numbering)
  | left | The relative position of the left of the viewport on the target, as a value between 0 and 1.
  | top | The relative position of the top of the viewport on the target, as a value between 0 and 1.
  | width | The relative width of the viewport on the target, as a value between 0 and 1.
  | height | The relative height of the viewport on the target, as a value between 0 and 1.

virtual unsigned short Ogre::RenderTarget::getNumViewports | ( | void |  | ) | const`[virtual, inherited]`

Returns the number of viewports attached to this target.

virtual Viewport* Ogre::RenderTarget::getViewport | ( | unsigned short | index | ) | `[virtual, inherited]`

Retrieves a pointer to the viewport with the given index.

virtual void Ogre::RenderTarget::removeViewport | ( | int | ZOrder | ) | `[virtual, inherited]`

Removes a viewport at a given ZOrder.

virtual void Ogre::RenderTarget::removeAllViewports | ( | void |  | ) | `[virtual, inherited]`

Removes all viewports on this target.

virtual void Ogre::RenderTarget::getStatistics | ( | float & | lastFPS,
|  | float & | avgFPS,
|  | float & | bestFPS,
|  | float & | worstFPS |
| ) |  |  | const`[virtual, inherited]`

Retieves details of current rendering performance.

Remarks:
  If the user application wishes to do it's own performance display, or use performance for some other means, this method allows it to retrieve the statistics.

Parameters:

  | lastFPS | Pointer to a float to receive the number of frames per second (FPS) based on the last frame rendered.
  | avgFPS | Pointer to a float to receive the FPS rating based on an average of all the frames rendered since rendering began (the call to Root::startRendering).
  | bestFPS | Pointer to a float to receive the best FPS rating that has been achieved since rendering began.
  | worstFPS | Pointer to a float to receive the worst FPS rating seen so far.

virtual const FrameStats& Ogre::RenderTarget::getStatistics | ( | void |  | ) | const`[virtual, inherited]`

virtual float Ogre::RenderTarget::getLastFPS | ( |  | ) | const`[virtual, inherited]`

Individual stats access - gets the number of frames per second (FPS) based on the last frame rendered.

virtual float Ogre::RenderTarget::getAverageFPS | ( |  | ) | const`[virtual, inherited]`

Individual stats access - gets the average frames per second (FPS) since call to Root::startRendering.

virtual float Ogre::RenderTarget::getBestFPS | ( |  | ) | const`[virtual, inherited]`

Individual stats access - gets the best frames per second (FPS) since call to Root::startRendering.

virtual float Ogre::RenderTarget::getWorstFPS | ( |  | ) | const`[virtual, inherited]`

Individual stats access - gets the worst frames per second (FPS) since call to Root::startRendering.

virtual float Ogre::RenderTarget::getBestFrameTime | ( |  | ) | const`[virtual, inherited]`

Individual stats access - gets the best frame time.

virtual float Ogre::RenderTarget::getWorstFrameTime | ( |  | ) | const`[virtual, inherited]`

Individual stats access - gets the worst frame time.

virtual void Ogre::RenderTarget::resetStatistics | ( | void |  | ) | `[virtual, inherited]`

Resets saved frame-rate statistices.

virtual void Ogre::RenderTarget::getCustomAttribute | ( | const String & | name,
|  | void * | pData |
| ) |  |  | `[virtual, inherited]`

Gets a custom (maybe platform-specific) attribute.

Remarks:
  This is a nasty way of satisfying any API's need to see platform-specific details. It horrid, but D3D needs this kind of info. At least it's abstracted.

Parameters:

  | name | The name of the attribute.
  | pData | Pointer to memory of the right kind of structure to receive the info.

virtual void Ogre::RenderTarget::addListener | ( | RenderTargetListener * | listener | ) | `[virtual, inherited]`

Add a listener to this RenderTarget which will be called back before & after rendering.

Remarks:
  If you want notifications before and after a target is updated by the system, use this method to register your own custom RenderTargetListener class. This is useful for potentially adding your own manual rendering commands before and after the 'normal' system rendering.

NB this should not be used for frame-based scene updates, use Root::addFrameListener for that.

virtual void Ogre::RenderTarget::removeListener | ( | RenderTargetListener * | listener | ) | `[virtual, inherited]`

Removes a RenderTargetListener previously registered using addListener.

virtual void Ogre::RenderTarget::removeAllListeners | ( | void |  | ) | `[virtual, inherited]`

Removes all listeners from this instance.

virtual void Ogre::RenderTarget::setPriority | ( | uchar | priority | ) | `[virtual, inherited]`

Sets the priority of this render target in relation to the others.

Remarks:
  This can be used in order to schedule render target updates. Lower priorities will be rendered first. Note that the priority must be set at the time the render target is attached to the render system, changes afterwards will not affect the ordering.

Definition at line 273 of file OgreRenderTarget.h.

virtual uchar Ogre::RenderTarget::getPriority | ( |  | ) | const`[virtual, inherited]`

Gets the priority of a render target.

Definition at line 275 of file OgreRenderTarget.h.

virtual bool Ogre::RenderTarget::isActive | ( |  | ) | const`[virtual, inherited]`

Used to retrieve or set the active state of the render target.

Reimplemented in Ogre::RenderWindow.

virtual void Ogre::RenderTarget::setActive | ( | bool | state | ) | `[virtual, inherited]`

Used to set the active state of the render target.

virtual void Ogre::RenderTarget::setAutoUpdated | ( | bool | autoupdate | ) | `[virtual, inherited]`

Sets whether this target should be automatically updated if Ogre's rendering loop or Root::_updateAllRenderTargets is being used.

Remarks:
  By default, if you use Ogre's own rendering loop (Root::startRendering) or call Root::_updateAllRenderTargets, all render targets are updated automatically. This method allows you to control that behaviour, if for example you have a render target which you only want to update periodically.

Parameters:

  | autoupdate | If true, the render target is updated during the automatic render loop or when Root::_updateAllRenderTargets is called. If false, the target is only updated when its update() method is called explicitly.

virtual bool Ogre::RenderTarget::isAutoUpdated | ( | void |  | ) | const`[virtual, inherited]`

Gets whether this target is automatically updated if Ogre's rendering loop or Root::_updateAllRenderTargets is being used.

void Ogre::RenderTarget::writeContentsToFile | ( | const String & | filename | ) | `[inherited]`

Writes the current contents of the render target to the named file.

virtual String Ogre::RenderTarget::writeContentsToTimestampedFile | ( | const String & | filenamePrefix,
|  | const String & | filenameSuffix |
| ) |  |  | `[virtual, inherited]`

Writes the current contents of the render target to the (PREFIX)(time-stamp)(SUFFIX) file.

Returns:
  the name of the file used.

virtual bool Ogre::RenderTarget::requiresTextureFlipping | ( |  | ) | const`[pure virtual, inherited]`

virtual size_t Ogre::RenderTarget::getTriangleCount | ( | void |  | ) | const`[virtual, inherited]`

Gets the number of triangles rendered in the last update() call.

virtual size_t Ogre::RenderTarget::getBatchCount | ( | void |  | ) | const`[virtual, inherited]`

Gets the number of batches rendered in the last update() call.

virtual void Ogre::RenderTarget::_notifyCameraRemoved | ( | const Camera * | cam | ) | `[virtual, inherited]`

Utility method to notify a render target that a camera has been removed, incase it was referring to it as a viewer.

virtual bool Ogre::RenderTarget::isPrimary | ( | void |  | ) | const`[virtual, inherited]`

Indicates whether this target is the primary window.

The primary window is special in that it is destroyed when ogre is shut down, and cannot be destroyed directly. This is the case because it holds the context for vertex, index buffers and textures.

Reimplemented in Ogre::RenderWindow.

virtual bool Ogre::RenderTarget::isHardwareGammaEnabled | ( |  | ) | const`[virtual, inherited]`

Indicates whether on rendering, linear colour space is converted to sRGB gamma colour space.

This is the exact opposite conversion of what is indicated by Texture::isHardwareGammaEnabled, and can only be enabled on creation of the render target. For render windows, it's enabled through the 'gamma' creation misc parameter. For textures, it is enabled through the hwGamma parameter to the create call.

Definition at line 347 of file OgreRenderTarget.h.

virtual uint Ogre::RenderTarget::getFSAA | ( |  | ) | const`[virtual, inherited]`

Indicates whether multisampling is performed on rendering and at what level.

Definition at line 351 of file OgreRenderTarget.h.

virtual Impl* Ogre::RenderTarget::_getImpl | ( |  | ) | `[virtual, inherited]`

Get rendersystem specific interface for this RenderTarget.

This is used by the RenderSystem to (un)bind this target, and to get specific information like surfaces and framebuffer objects.

void Ogre::RenderTarget::updateStats | ( | void |  | ) | `[protected, inherited]`

virtual void Ogre::RenderTarget::firePreUpdate | ( | void |  | ) | `[protected, virtual, inherited]`

internal method for firing events

virtual void Ogre::RenderTarget::firePostUpdate | ( | void |  | ) | `[protected, virtual, inherited]`

internal method for firing events

virtual void Ogre::RenderTarget::fireViewportPreUpdate | ( | Viewport * | vp | ) | `[protected, virtual, inherited]`

internal method for firing events

virtual void Ogre::RenderTarget::fireViewportPostUpdate | ( | Viewport * | vp | ) | `[protected, virtual, inherited]`

internal method for firing events

virtual void Ogre::RenderTarget::fireViewportAdded | ( | Viewport * | vp | ) | `[protected, virtual, inherited]`

internal method for firing events

virtual void Ogre::RenderTarget::fireViewportRemoved | ( | Viewport * | vp | ) | `[protected, virtual, inherited]`

internal method for firing events

virtual void Ogre::RenderTarget::updateImpl | ( |  | ) | `[protected, virtual, inherited]`

Internal implementation of update().

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

HardwarePixelBuffer* Ogre::RenderTexture::mBuffer`[protected]`

Definition at line 53 of file OgreRenderTexture.h.

size_t Ogre::RenderTexture::mZOffset`[protected]`

Definition at line 54 of file OgreRenderTexture.h.

String Ogre::RenderTarget::mName`[protected, inherited]`

The name of this target.

Definition at line 375 of file OgreRenderTarget.h.

uchar Ogre::RenderTarget::mPriority`[protected, inherited]`

The priority of the render target.

Definition at line 377 of file OgreRenderTarget.h.

unsigned int Ogre::RenderTarget::mWidth`[protected, inherited]`

Definition at line 379 of file OgreRenderTarget.h.

unsigned int Ogre::RenderTarget::mHeight`[protected, inherited]`

Definition at line 380 of file OgreRenderTarget.h.

unsigned int Ogre::RenderTarget::mColourDepth`[protected, inherited]`

Definition at line 381 of file OgreRenderTarget.h.

bool Ogre::RenderTarget::mIsDepthBuffered`[protected, inherited]`

Definition at line 382 of file OgreRenderTarget.h.

FrameStats Ogre::RenderTarget::mStats`[protected, inherited]`

Definition at line 385 of file OgreRenderTarget.h.

Timer* Ogre::RenderTarget::mTimer`[protected, inherited]`

Definition at line 387 of file OgreRenderTarget.h.

unsigned long Ogre::RenderTarget::mLastSecond`[protected, inherited]`

Definition at line 388 of file OgreRenderTarget.h.

unsigned long Ogre::RenderTarget::mLastTime`[protected, inherited]`

Definition at line 389 of file OgreRenderTarget.h.

size_t Ogre::RenderTarget::mFrameCount`[protected, inherited]`

Definition at line 390 of file OgreRenderTarget.h.

bool Ogre::RenderTarget::mActive`[protected, inherited]`

Definition at line 392 of file OgreRenderTarget.h.

bool Ogre::RenderTarget::mAutoUpdate`[protected, inherited]`

Definition at line 393 of file OgreRenderTarget.h.

bool Ogre::RenderTarget::mHwGamma`[protected, inherited]`

Definition at line 395 of file OgreRenderTarget.h.

uint Ogre::RenderTarget::mFSAA`[protected, inherited]`

Definition at line 397 of file OgreRenderTarget.h.

ViewportList Ogre::RenderTarget::mViewportList`[protected, inherited]`

List of viewports, map on Z-order.

Definition at line 403 of file OgreRenderTarget.h.

RenderTargetListenerList Ogre::RenderTarget::mListeners`[protected, inherited]`

Definition at line 406 of file OgreRenderTarget.h.

The documentation for this class was generated from the following file:

- OgreRenderTexture.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:35:34 2009